Skip to main content
GET
/
tokens
/
imports
/
{id}
Get import details
curl --request GET \
  --url https://sandbox.hellgate.io/tokens/imports/{id} \
  --header 'X-API-Key: <api-key>'
{
  "id": "63820065-af1a-42fa-b96f-8d928fc6c2ec",
  "created_at": "2023-10-10T00:00:00Z",
  "provider": "stripe",
  "status": "preparing",
  "stripe": {
    "api_key": "[REDACTED]"
  },
  "attemts": 0,
  "successes": 0,
  "failures": 0
}

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The ID of the import.

Response

Success response

id
string<uuid>

The ID of the import.

created_at
string<date-time>

The timestamp when the import was requested.

finished_at
string<date-time>

The timestamp when the import was finished.

It is only available if the import was successfully finished or was aborted.

provider
enum<string>
Available options:
stripe
status
enum<string>
Available options:
preparing,
running,
finished,
aborted
Example:

"preparing"

stripe
object
attemts
integer

The amount of attempts to import a token.

successes
integer

The amount of successful imports.

failures
integer

The amount of failures while importing a token.